Retrieve all subscription add-ons.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/billing/subscriptionaddons \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/billing/subscriptionaddons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/billing/subscriptionaddons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Subscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"AddOn": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"BillingAddOnType": 1,
"IsQuantityEditable": false,
"MinimumQuantity": 0,
"MonthlyRate": 0,
"AnnualRate": 0,
"SetupFee": 0,
"UnitOfMeasure": "string",
"IsTaxable": false,
"IsBilledDuringTrial": false,
"ExpiresAfterMonths": 0,
"ExpirationDate": "string",
"StripeTaxCodeId": "string",
"PlanAddOns": [],
"ContentGroups": [],
"IsPerUser": false,
"QuarterlyRate": 0,
"OneTimeRate": 0,
"SubscriptionCount": 0,
"Quantity": 0
},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"Rate": 0
}
]Subscriptions
Retrieve all subscription add-ons.
GET
/
api
/
v1
/
billing
/
subscriptionaddons
Retrieve all subscription add-ons.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Query Parameters
Filters by the add-on's lifecycle: current, future, or past
Response
Minimum string length:
1Minimum string length:
1Maximum string length:
101 - Monthly, 2 - Yearly, 3 - Quarterly, 4 - One Time
Available options:
1, 2, 3, 4 Required range:
1 <= x <= 4Circular reference to Subscription (not expanded here).
Show child attributes
Show child attributes
Example:
[
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Subscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"AddOn": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"BillingAddOnType": 1,
"IsQuantityEditable": false,
"MinimumQuantity": 0,
"MonthlyRate": 0,
"AnnualRate": 0,
"SetupFee": 0,
"UnitOfMeasure": "string",
"IsTaxable": false,
"IsBilledDuringTrial": false,
"ExpiresAfterMonths": 0,
"ExpirationDate": "string",
"StripeTaxCodeId": "string",
"PlanAddOns": [],
"ContentGroups": [],
"IsPerUser": false,
"QuarterlyRate": 0,
"OneTimeRate": 0,
"SubscriptionCount": 0,
"Quantity": 0
},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"Rate": 0
}
]
Preview the initial or renewal invoice for a hypothetical subscription.Retrieve a subscription add-on.
⌘I